/*
 * File:    Barva.java
 * Package: dm.vpi.lekce05.vozidla1
 * Project: Lekce05
 * 
 * Author : David Martinek
 * Address: Department of Intelligent Systems
 *          Faculty of Information Technology
 *          Brno University of Technology
 *          Bozetechova 2, 
 *          612 66 Brno, 
 *          Czech Republic
 * E-mail : martinek@fit.vutbr.cz
 * 
 * Created on 12.4.2005
 * (c) 2005, David Martinek
 * 
 * This project is provided under conditions of GNU General Public Licence.
 * The full text of GNU GPL in on internet: http://www.gnu.org/licenses/gpl.html
 * 
 * $Id$
 */
package dm.vpi.lekce05.vozidla1;

/**
 * Tda reprezentujc rzn barvy aut. Tto konstrukci se k typov
 * zabezpeen vet. V Jav 5 lze msto tohoto pout datov typ enum
 * (kter se zsadn li od vtu znmho z C, C++).
 * 
 * @since 12.4.2005
 * @author David Martinek
 */
public class Barva
{
  private String barva;


  /**
   * Privtn konstruktor nen tak nesmysln, jak se me na prvn pohled
   * zdt. Tmto se zajist, e uivatel neme vytvet instance. Jedin
   * vytvoen instance budou figurovat jako statick poloky tto tdy.
   * 
   * @param barva
   */
  private Barva(String barva)
  {
    this.barva = barva;
  }

  public String toString()
  {
    return barva;
  }


  public static Barva MODRA = new Barva("Modr");

  public static Barva CERVENA = new Barva("erven");

  public static Barva ZELENA = new Barva("Zelen");

  public static Barva ZLUTA = new Barva("lut");

  public static Barva BILA = new Barva("Bl");

  public static Barva CERNA = new Barva("ern");
}

// end of file Barva.java
